
%global qt_module qtserialport
%define pre alpha

# define to build docs, need to undef this for bootstrapping
%define docs 1

Summary: Qt5 - SerialPort component
Name:    qt5-%{qt_module}
Version: 5.3.0
Release: 0.alpha.2%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url: http://qt-project.org/
%if 0%{?pre:1}
Source0: http://download.qt-project.org/development_releases/qt/5.3/%{version}-%{pre}/submodules/%{qt_module}-opensource-src-%{version}-%{pre}.tar.xz
%else
Source0: http://download.qt-project.org/official_releases/qt/5.3/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
%endif

BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: pkgconfig(libudev)

# The original nemo-testing RPM package
Obsoletes: qt-serialport

%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}

%description
Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%if 0%{?docs}
%package doc
Summary: API documentation for %{name}
Requires: %{name} = %{version}-%{release}
# for qhelpgenerator
BuildRequires: qt5-qttools-devel
BuildArch: noarch
%description doc
%{summary}.
%endif

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%setup -q -n %{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}


%build
%{_qt5_qmake}

make %{?_smp_mflags}

%if 0%{?docs}
make %{?_smp_mflags} docs
%endif


%install
make install INSTALL_ROOT=%{buildroot}

# Install examples. TODO: is there a Makefile install target for this?
mkdir -p %{buildroot}%{_qt5_examplesdir}
cp -pr examples/serialport %{buildroot}%{_qt5_examplesdir}

%if 0%{?docs}
make install_docs INSTALL_ROOT=%{buildroot}
%endif

## .prl file love (maybe consider just deleting these -- rex
# nuke dangling reference(s) to %%buildroot, excessive (.la-like) libs
sed -i \
  -e "/^QMAKE_PRL_BUILD_DIR/d" \
  -e "/^QMAKE_PRL_LIBS/d" \
  %{buildroot}%{_qt5_libdir}/*.prl

## unpackaged files
# .la files, die, die, die.
rm -fv %{buildroot}%{_qt5_libdir}/lib*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc LGPL_EXCEPTION.txt LICENSE.GPL LICENSE.LGPL
%{_qt5_libdir}/libQt5SerialPort.so.5*

%files devel
%{_qt5_headerdir}/QtSerialPort/
%{_qt5_libdir}/libQt5SerialPort.so
%{_qt5_libdir}/libQt5SerialPort.prl
%{_qt5_libdir}/cmake/Qt5SerialPort/
%{_qt5_libdir}/pkgconfig/Qt5SerialPort.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_serialport*.pri

%if 0%{?docs}
%files doc
%doc LICENSE.FDL
%{_qt5_docdir}/qtserialport.qch
%{_qt5_docdir}/qtserialport/
%endif

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif


%changelog
* Sun Mar 16 2014 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.3.0-0.alpha.2
- Add udev build dep

* Fri Mar 14 2014 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.3.0-0.alpha.1
- Merge updates from Fedora Rawhide.
- Update to 5.3.0 alpha.

* Thu Dec 12 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.2.0-2
- Download and the OFFICIAL release. Whoops

* Thu Dec 12 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.2.0-1
- Version bump to official 5.2.0 release

* Thu Dec 12 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.2.0-0.3.rc1
- Version bump to official 5.2.0 release

* Tue Dec 10 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.2.0-0.2.rc1
- Fix copy/paste error in package summary

* Tue Dec 10 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 5.2.0-0.1.rc1
- Initial creation (using qt5-qtsvg.spec as template)
